package com.wissamfawaz;

public class StaffList {
	private StaffMember[] members;
	
	public StaffList() {
		members = new StaffMember[3];
		members[0] = new Volunteer("Wissam", "Fawaz");
		members[1] = new Hourly("Fawzi", "Fawaz", "1234", 40);
		members[2] = new Executive("Chadi", "Fawaz", "2345", 2000);
		
		((Hourly) members[1]).updateHours(40);
		((Executive) members[2]).awardBonus(2000);
	}
	
	public void payDay() {
		for(StaffMember member : members) {
			System.out.println(member.toString());
			double amount = member.pay();
			
			if(amount == 0) {
				System.out.println("Thank you!");
			} else {
				System.out.println("Amount paid: " + amount);
			}
			
			System.out.println("-----------------------------------");
			
			
		}
		
	}

}
